View Issue Details

IDProjectCategoryView StatusLast Update
0000818Kali Linux[All Projects] Tool Upgradepublic2014-10-15 03:33
ReporterAgoraSecurity Assigned Toelwood  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.5 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000818: Cree.py not working
DescriptionCreepy is not at it's latest version. And it don't work with twitter.
The current version in Kali's repositories is 0.1.9
Creepy's current version is 1.0 (https://github.com/ilektrojohn/creepy)
The problem with the current version is that it is not able to use twitter, because Twitter no long supports API 1, only API 1.1
Steps To Reproduce1-Open Terminal and open creepy
2-Try to do a search in twitter
3-Check terminal and find error (TweepError: [{'message': 'The Twitter REST API v1 is no longer active. Please migrate to API v1.1. https://dev.twitter.com/docs/api/1.1/overview.', 'code': 68}])

P.S. You have to introduce the API's Keys before that.
Additional InformationCreepy:
https://github.com/ilektrojohn/creepy

Error:
TweepError: [{'message': 'The Twitter REST API v1 is no longer active. Please migrate to API v1.1. https://dev.twitter.com/docs/api/1.1/overview.', 'code': 68}]

Activities

ilektrojohn

2014-01-03 14:40

reporter   ~0001258

Hi, I am Yiannis, the developer of cree.py. I am working with the debian maintainer of the package and it will soon be updated in the debian repos, so you can use that for the kali repos. If not, I can help out with packaging, just drop me a note.

elwood

2014-10-15 03:33

administrator   ~0002657

creepy 1.1 is installed

Issue History

Date Modified Username Field Change
2013-12-30 03:38 AgoraSecurity New Issue
2014-01-03 14:40 ilektrojohn Note Added: 0001258
2014-10-15 03:33 elwood Note Added: 0002657
2014-10-15 03:33 elwood Status new => closed
2014-10-15 03:33 elwood Assigned To => elwood
2014-10-15 03:33 elwood Resolution open => fixed
2014-10-15 03:33 elwood Fixed in Version => 1.1.0
2014-10-15 03:33 elwood Status closed => resolved
2014-10-15 03:33 elwood Target Version => 1.1.0
2014-11-21 20:03 haider Issue cloned: 0001924
2014-12-30 05:26 detrix Issue cloned: 0001979
2015-02-09 02:15 Beachbum4563 Issue cloned: 0002088